;****************************************************************************
;*
;*  Copyright (C) 2003 Dallas Semiconductor Corporation. 
;*  All rights Reserved. Printed in U.S.A.
;*  This software is protected by copyright laws of
;*  the United States and of foreign countries.
;*  This material may also be protected by patent laws of the United States 
;*  and of foreign countries.
;*  This software is furnished under a license agreement and/or a
;*  nondisclosure agreement and may only be used or copied in accordance
;*  with the terms of those agreements.
;*  The mere transfer of this software does not imply any licenses
;*  of trade secrets, proprietary technology, copyrights, patents,
;*  trademarks, maskwork rights, or any other form of intellectual
;*  property whatsoever. Dallas Semiconductor retains all ownership rights.
;*
;*     Module Name: DS80C400 Ethernet Driver
;*
;*        Filename: eth400.inc
;*
;****************************************************************************

; Define how the buffer is partitioned
ETH_SEND_BUFFER       EQU 0fff700h
ETH_TRANSMIT_PAGE     EQU 17h	; (Send buffer - 0ffe000h) >> 8

; CSR registers
CSR_MAC_CTRL	EQU	000H	; MAC control
CSR_MAC_HI	EQU	004H	; MAC address high
CSR_MAC_LO	EQU	008H	; MAC address low
CSR_MCAST_HI	EQU	00CH	; Multicast address high register
CSR_MCAST_LO	EQU	010H	; Multicast address low register
CSR_MII_ADDR	EQU	014H	; MII address register
CSR_MII_DATA	EQU	018H	; MII data register
CSR_FLOW_CTRL	EQU	01CH	; Flow control register
CSR_VLAN1_TAG	EQU	020H	; VLAN1 tag register
CSR_VLAN2_TAG	EQU	024H	; VLAN2 tag register
CSR_WAKEUP	EQU	028H	; Wake-Up frame filter register

; BCU commands
BCU_NOP			EQU	000H	; No operation
BCU_INV_CURR		EQU	002H	; Invalidate current receive packet
BCU_FLUSH_RCV		EQU	003H	; Flush receive buffer
BCU_XMIT		EQU	004H	; Transmit request - normal
BCU_XMIT_NOPAD		EQU	005H	; Transmit request - no padding
BCU_XMIT_NOCRC		EQU	006H	; Transmit request - add CRC disable
BCU_WRITE_CSR		EQU	008H	; Write CSR
BCU_READ_CSR		EQU	009H	; Read CSR
BCU_ENABLE_SLEEP	EQU	00CH	; Enable sleep mode
BCU_DISABLE_SLEEP	EQU	00DH	; Disable sleeop mode

; BCU register
BCUC_BUSY_BIT	EQU	80h	; Busy bit

DS400_RCVBUF	EQU	0ffe000h

; PHY MII management register set (IEE 802.3 sec 22.2.4)
MII_CONTROL	equ	0
MII_STATUS	equ	1
MII_PHY_ID_HI	equ	2
MII_PHY_ID_LO	equ	3
MII_AUTONEG_ADV	equ	4
MII_AUTONEG_LPB equ     5
MII_AUTONEG_EXP equ     6
MII_AUTONEG_NPT equ     7
MII_AUTONEG_LPR equ     8
MII_MS_CONTROL	equ	9
MII_MS_STATUS	equ	10
MII_EXTSTATUS	equ	15

MII_MAX_PHY	equ	32

